Update document
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/documents/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>",
"document_folder_id": 123
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', document_folder_id: 123})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/documents/{id}"
payload = {
"name": "<string>",
"document_folder_id": 123
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"document_folder_id": 123,
"content_type": "<string>",
"file_url": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Documents
Update document
Rename or move a document.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
documents
/
{id}
Update document
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/documents/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>",
"document_folder_id": 123
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', document_folder_id: 123})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/documents/{id}"
payload = {
"name": "<string>",
"document_folder_id": 123
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"document_folder_id": 123,
"content_type": "<string>",
"file_url": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the document
The numeric ID of the account